Skip to main content

Update source (partial)

PATCH 

/sources/v1/:id

Use this API to partially update a source in SailPoint Identity Security, using a list of patch operations according to the JSON Patch standard.

These fields are immutable, so they cannot be changed:

  • id
  • type
  • authoritative
  • created
  • modified
  • connector
  • connectorClass
  • passwordPolicies

Attempts to modify these fields will result in a 400 error.

Request​

Responses​

Updated Source object. Any passwords will only show the the encrypted cipher-text so that they aren't decryptable in SailPoint Identity Security cloud-based services, per SailPoint Identity Security security design.